Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.WhileStmtAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.WhileStmtAltContext

-     public static class GroovyParser.WhileStmtAltContext
      extends LoopStatementContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WhileStmtAltContext(LoopStatementContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `WHILE()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public ExpressionInParContext` | `expressionInPar()`
    `` | `public NlsContext` | `nls()`
    `` | `public StatementContext` | `statement()`

- - ### Constructor Detail

    - #### public WhileStmtAltContext(LoopStatementContext ctx)

  - ### Method Detail

    - #### public TerminalNode WHILE()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ExpressionInParContext expressionInPar()

    - #### public NlsContext nls()

    - #### public StatementContext statement()